net.snowflake.client.core

## Interface ChunkDownloader

All Known Implementing Classes:
  SnowflakeChunkDownloader, SnowflakeChunkDownloader.NoOpChunkDownloader

    public interface ChunkDownloader

Provide offline result chunk (which contains result data) to back to result set

### Method Summary

All Methods Instance Methods Abstract Methods
`SnowflakeResultChunk` `getNextChunkToConsume()` Get next SnowflakeResultChunk that is ready to be consumed by the main thread.
`DownloaderMetrics` `terminate()` Terminate the chunk downloader, release all resources allocated

### Method Detail

#### getNextChunkToConsume

    SnowflakeResultChunk getNextChunkToConsume()
                                        throws InterruptedException,
                                               SnowflakeSQLException

Get next SnowflakeResultChunk that is ready to be consumed by the main thread. The caller will be blocked if the chunk is not ready to be consumed (a.k.a not loaded into memory yet)

Returns:
  result chunk with data loaded
Throws:
  `InterruptedException`
  `SnowflakeSQLException`

#### terminate

    DownloaderMetrics terminate()

Terminate the chunk downloader, release all resources allocated

Returns:
  metrics measuring downloader performance